name: Build stite

on:
  push:
    branches: ['main']
    
jobs:
  Build-static-Astro-site:
    runs-on: ubuntu-latest

    strategy:
      matrix:
        node-version: [24.x]
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Setup pnpm
        uses: pnpm/action-setup@v4.0.0
        with:
          version: "latest"
      - name: Use Node.js ${{ matrix.node-version }}
        uses: actions/setup-node@v4
        with:
          node-version: ${{ matrix.node-version }}
          cache: 'pnpm'
      - name: Install Dependencies
        run: pnpm install
      - name: Build static site
        run: pnpm build
      - name: Release
        uses: akkuman/gitea-release-action@v1
        with:
          files: |-
            dist/
